********************************************************************************
*** Overview  ******************************************************************
********************************************************************************
/* This Syntax describes the data cleaning, analysis and vizualisation of the 
paper:
Franz, S., & Schindler, S. (2024). Non-completion of teacher education students. 
Educational and occupational pathways of persons who withdraw from a teacher 
education program in Germany. International Journal of Educational Research, 
128, 102463. https://doi.org/10.1016/j.ijer.2024.102463. */

********************************************************************************
*** Set-up  ********************************************************************
********************************************************************************
version 18.0
local NEPS_DATA 		/*insert path here*/

global datapath 		/*insert path here*/
global datasave 		/*insert path here*/
global graphsave 		/*insert path here*/
global tabsave 			/*insert path here*/
global logfiles 		/*insert path here*/
global synsave 			/*insert path here*/

global NEPSuse_directory	/*insert path here*/
global NEPSuse_cohort 		SC5
global NEPSuse_version 		18.0.0
global NEPSuse_level 		D

********************************************************************************
*** Initial Sample  ************************************************************
********************************************************************************
do "$synsave\sample.do"

********************************************************************************
*** Cleaning: Teacher Education Episodes to generate on-completion variable ****
********************************************************************************
do "$synsave\stud_states_spVoc.do"

********************************************************************************
*** Analysis: Graphs on non-completion date  ***********************************
********************************************************************************
do "$synsave\Date_Graph.do"

********************************************************************************
*** Cleaning: Follow-up activity  **********************************************
********************************************************************************
do "$synsave\follow_up.do"

********************************************************************************
*** Analysis: Sequence analysis ************************************************
********************************************************************************
do "$synsave\sequence_analysis.do"

********************************************************************************
*** Cleaning: Descrete Time ****************************************************
********************************************************************************
do "$synsave\descrete_time.do"

********************************************************************************
*** Cleaning: Predictors *******************************************************
********************************************************************************
do "$synsave\predictors.do"

********************************************************************************
*** Analysis: Psychometric properties and descriptives of predictors ***********
********************************************************************************
do "$synsave\descriptives_pred.do"

********************************************************************************
*** Imputation: Last information ***********************************************
********************************************************************************
do "$synsave\imputation.do"

********************************************************************************
*** Analysis: Descrete time analysis ***********
********************************************************************************
do "$synsave\analysis_imputed_data.do"
